Associate an embedded wallet with a customer
curl --request POST \
--url https://sandbox-api.polygon.technology/v0.12/customers/{customerId}/wallets/associate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"idToken": "eyJhbGciOiJFUzI1NiIs..."
}
'import requests
url = "https://sandbox-api.polygon.technology/v0.12/customers/{customerId}/wallets/associate"
payload = { "idToken": "eyJhbGciOiJFUzI1NiIs..." }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({idToken: 'eyJhbGciOiJFUzI1NiIs...'})
};
fetch('https://sandbox-api.polygon.technology/v0.12/customers/{customerId}/wallets/associate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "wlt_01H9Xa8F5dN6mP3q",
"object": "wallet",
"customer": "cst_01H9Xa8F5dN6mP3q",
"custodyType": "embedded",
"blockchainAddress": "0x1234567890abcdef1234567890abcdef12345678",
"networkFamily": "evm",
"status": "active",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}Wallets
Associate an embedded wallet with a customer
Links an embedded (WaaS) wallet to the customer. The wallet is identified by the supplied WaaS idToken — its subject is the wallet id, so the wallet id is never passed directly — and the token’s audience must be the authenticated project.
POST
/
customers
/
{customerId}
/
wallets
/
associate
Associate an embedded wallet with a customer
Authorizations
Token from POST /auth/token
Headers
Client-supplied request key. Required on all non-auth POST requests.
Path Parameters
Body
application/json
WaaS-issued idToken (ES256 JWT). Its subject is the wallet id and its audience must be the authenticated project.
Example:
"eyJhbGciOiJFUzI1NiIs..."
Response
Wallet associated
Embedded wallet linked to a customer.
Example:
"wlt_01H9Xa8F5dN6mP3q"
Example:
"wallet"
Example:
"cst_01H9Xa8F5dN6mP3q"
Available options:
custodial, embedded Example:
"embedded"
Example:
"0x1234567890abcdef1234567890abcdef12345678"
Example:
"evm"
Available options:
preallocated, active, suspended Example:
"active"
Was this page helpful?
⌘I